Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Fri, 23 Oct 2015 13:03:39 +0200

Anders Lindgren <[email-masked]> writes:

>> The frame I am using is a GUI frame - but if I remember correctly (and I
>> might be wrong) the crash happened when making emacs fullscreen.
>>
>
> This is a vital clue.
>
> If I remember correctly, when Emacs change between normal and full screen
> mode, it creates a new OS X window and discards the old. It uses two
> different Objective-C types EmacsWindow and EmacsFSWindow. (I'll can verify
> the details at home, where I have access to the source code.)
>
> My guess is that in this transition, some things are not fully set up when
> the callback arrives.

Unfortunately I do not have a backtrace, but emacs 25 just crashed when
closing one frame. Maybe unrelated - fyi.

Cheers,

Rainer

> / Anders

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982